commit:     b09c7e5d65a9a73e0429f0ba0fcbc3b530da4280
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  3 19:25:28 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Nov  3 19:31:46 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b09c7e5d

dev-python/mox3: bup

Package-Manager: portage-2.2.20.1

 dev-python/mox3/Manifest           |  1 +
 dev-python/mox3/mox3-0.12.0.ebuild | 73 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/dev-python/mox3/Manifest b/dev-python/mox3/Manifest
index 60a8e50..fc5ec82 100644
--- a/dev-python/mox3/Manifest
+++ b/dev-python/mox3/Manifest
@@ -1 +1,2 @@
+DIST mox3-0.12.0.tar.gz 42377 SHA256 
52c5c1f35d460e4f70d60b20a4283c8cce6d83c03e7be47a478ba104304a9fdf SHA512 
73e0215bf127589f791721a0cb9b8e3dcc379a23199339e370d641850a0a14c264eb9db94fbb37c99f9925ee3ebd302de14ec12fe1c8809dd3ca9c10cfd75468
 WHIRLPOOL 
fdfdf53f14e5f9dbf89b8f93279ee14e7b946c1e1fd843efc6da655f86c64fd67844ea32b2170fe2a26eab66274423d334bba1aa55e8f1ea31a6877647d76b14
 DIST mox3-0.7.0.tar.gz 44073 SHA256 
7cc2ffac72d55816bbf670b03cf636b4abdc089c3d8b31a6760b22fc1eeedde2 SHA512 
ee4b87bad46fdb63e8988186846a1823fe9db512f1cd8cf37266db14413307824e45e38121bd16ca4c7f3753fbc051dfcd98dc5c9c9c933604b007ff1e7fea05
 WHIRLPOOL 
0c71c0ef8960ee535fa11a27855725601929ebd50ef56611c8aa8ac0bee500b63b3d63a60bb444511f2bc3b05bf65eb7d91821144d56da4e0da343ff3689d427

diff --git a/dev-python/mox3/mox3-0.12.0.ebuild 
b/dev-python/mox3/mox3-0.12.0.ebuild
new file mode 100644
index 0000000..720d5af
--- /dev/null
+++ b/dev-python/mox3/mox3-0.12.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+DISTUTILS_IN_SOURCE_BUILD=TRUE
+
+inherit distutils-r1
+
+DESCRIPTION="Mock object framework for Python"
+HOMEPAGE="http://www.openstack.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="
+       >=dev-python/pbr-1.8[${PYTHON_USEDEP}]
+"
+CRDEPEND=">=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]"
+
+# NOTE dev-python/hacking isn't actually required for tests
+# >=dev-python/hacking-0.5.6[${PYTHON_USEDEP}]
+# <dev-python/hacking-0.7[${PYTHON_USEDEP}]
+
+# NOTE dev-python/pyflakes isn't actually required for tests
+# ~dev-python/pyflakes-0.7.2[${PYTHON_USEDEP}]
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       test? (
+               ${CRDEPEND}
+               ~dev-python/pep8-1.5.7[${PYTHON_USEDEP}]
+               ~dev-python/pyflakes-0.8.1[${PYTHON_USEDEP}]
+               >=dev-python/flake8-2.2.4[${PYTHON_USEDEP}]
+               <=dev-python/flake8-2.4.1-r9999[${PYTHON_USEDEP}]
+               >=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+               >=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+               >=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+               !~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+               <dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               >=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       ${CDEPEND}
+       ${CRDEPEND}
+"
+
+python_test() {
+       # This single test fails on python3.4.
+       # I speculate this is due to the old style classes going away but have 
not
+       # verified this in any way.
+       if [[ "${EPYTHON}" = "python3.4" ]]; then
+               ebegin "patching mox3/tests/test_mox.py for ${EPYTHON}"
+               sed \
+                       -e '/def testStubOutClass_OldStyle(self):/,/def/ d' \
+                       -i mox3/tests/test_mox.py
+               STATUS=$?
+               eend $?
+               [[ ${STATUS} -gt 0 ]] && die
+       fi
+
+       testr init || die "testr init failed under ${EPYTHON}"
+       testr run || die "testr run failed under ${EPYTHON}"
+}

Reply via email to